Bug 1149702 - FTBFS: Failure: test_type_integer(TestSelectionData)
Summary: FTBFS: Failure: test_type_integer(TestSelectionData)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-gtk2
Version: 21
Hardware: ppc64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/ruby-gnome2/ruby-g...
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2014-10-06 13:39 UTC by Karsten Hopp
Modified: 2014-10-14 04:35 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-14 04:35:51 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2014-10-06 13:39:45 UTC
Description of problem:
rubygem-gtk2-2.2.0-3.fc21 fails to build on ppc64:

Failure:
test_type_integer(TestSelectionData)
/builddir/build/BUILD/rubygem-gtk2-2.2.0/usr/share/gems/gems/gtk2-2.2.0/test/test_gdk_selection_data.rb:12:in `test_type_integer'
      9:     Gdk::Property.change(@window, name,
     10:                          Gdk::Selection::TYPE_INTEGER,
     11:                          :replace, value)
  => 12:     assert_equal([Gdk::Selection::TYPE_INTEGER, [value]],
     13:                  Gdk::Property.get(@window, name,
     14:                                    Gdk::Selection::TYPE_INTEGER,
     15:                                    false)[0, 2])
<[#<Gdk::Atom:0x1003ea7b180 ptr=0x1003ea7f320 own=true>, [10]]> expected but was
<[#<Gdk::Atom:0x1003e652388 ptr=0x1003ee6b780 own=true>, [1048075456]]>
diff:
? [#<Gdk::Atom:0x1003ea7b180 ptr=0x1003ea  7f320 own=true>, [10        ]]
?                     6523 8            e6b 8                  48075456  
===============================================================================
Finished in 0.270763166 seconds.
62 tests, 110 assertions, 1 failures, 0 errors, 0 pendings, 1 omissions, 0 notifications
98.3607% passed
228.98 tests/s, 406.26 assertions/s
error: Bad exit status from /var/tmp/rpm-tmp.AVeVgC (%check)



Version-Release number of selected component (if applicable):
rubygem-gtk2-2.2.0-3.fc21

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f21 rubygem-gtk2-2.2.0-3.fc21.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2138030

Expected results:


Additional info:

Comment 1 Mamoru TASAKA 2014-10-10 15:00:23 UTC
A fix for this found, agreed with the upstream, will apply.

Comment 2 Fedora Update System 2014-10-11 18:59:36 UTC
rubygem-gtk2-2.2.0-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-gtk2-2.2.0-5.fc21

Comment 4 Fedora Update System 2014-10-12 13:55:49 UTC
Package rubygem-gtk2-2.2.0-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-gtk2-2.2.0-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12715/rubygem-gtk2-2.2.0-5.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-10-14 04:35:51 UTC
rubygem-gtk2-2.2.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.